Update task

Updates a task's name, description, status, and due date

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

ID of the project

integer
required

ID of the task to update

Body Params

Every field is optional; only the ones supplied are changed.

string

Name of the task

string

Description of the task - supports limited subset of HTML <b>, <ul>, <li>, <br>, and <a>.

string
enum

Status of the task. An invoice task's status cannot be changed through the API.

Allowed:
date-time | null

When the task is due (ISO 8601). Pass null to clear it.

integer | null

Document type to file the task under - see GET /document_categories for the ids. Pass null to clear it.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json